#See https://aka.ms/containerfastmode to understand how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM mcr.microsoft.com/dotnet/aspnet:6.0 AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/sdk:6.0 AS build
WORKDIR /src
COPY ["SecureSharing/SecureSharing.csproj", "SecureSharing/"]
COPY ["SecureSharing.Business/SecureSharing.Business.csproj", "SecureSharing.Business/"]
COPY ["SecureSharing.Data/SecureSharing.Data.csproj", "SecureSharing.Data/"]
RUN dotnet restore "SecureSharing/SecureSharing.csproj"
COPY . .
WORKDIR "/src/SecureSharing"
RUN dotnet build "SecureSharing.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "SecureSharing.csproj" -c Release -o /app/publish

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "SecureSharing.dll"]